//var isplusready = false;

var server_host = "http://api.dameiketang.com";
var ajax_setting = {
	data: {},
	dataType: 'json', //服务器返回json格式数据
	type: 'post', //HTTP请求类型
	timeout: 5000, //超时时间设置为10秒；
	success: null,
	error: function(xhr, type, errorThrown) {
		//异常处理；
		//console.log(xhr + "---" + type + "---" + errorThrown);
		mui.toast("网络异常，请检查网络连接");
	}
}

function clone(obj) {
	function Fn() {}
	Fn.prototype = obj;
	var o = new Fn();
	for(var a in o) {
		if(typeof o[a] == "object") {
			o[a] = clone(o[a]);
		}
	}
	return o;
}

function trim(s) {
	return s.replace(/(^\s*)|(\s*$)/g, "");
}

function getQueryString(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
	var r = decodeURIComponent(window.location.search).substr(1).match(reg);
	if(r != null) return unescape(r[2]);
	return null;
}

function openscan() {
	mui.openWindow({
		url: 'scan.html',
		id: 'scan',
		show: {
			autoShow: true, //页面loaded事件发生后自动显示，默认为true
			aniShow: 'slide-in-bottom' //页面显示动画，默认为”slide-in-right“；
		}
	});
}

// 获取统一域名的URL地址
function uurl(path) {
	if(path.substr(0, 7).toLowerCase() == "http://")
		return path;
	else if(path[0] == '/')
		return server_host + path;
	else
		return server_host + "/" + path;
}

function uuid() {
	var s = [];
	var hexDigits = "0123456789ABCDEF";
	for(var i = 0; i < 36; i++) {
		s[i] = hexDigits.substr(Math.floor(Math.random() * 0x10), 1);
	}
	s[14] = "4"; // bits 12-15 of the time_hi_and_version field to 0010
	s[19] = hexDigits.substr((s[19] & 0x3) | 0x8, 1); // bits 6-7 of the clock_seq_hi_and_reserved to 01
	s[8] = s[13] = s[18] = s[23] = "-";

	var uuid = s.join("");
	return uuid;
}
// 苹果支付商品id
function purchaseId(price) {
	var purchaseId = "mktLessonPurchase" + price;
	return purchaseId;
}

function play(id) {
	var phone = navigator.userAgent;
	if((phone.indexOf('Android') != -1)) {
		//alert("android");
		var main = plus.android.runtimeMainActivity();
		var Helper = plus.android.importClass("dmdf.mkt.android.NativeHelper");
		var mHelper = Helper.getInstance();
		mHelper.jump(main, id, false);
	} else {
		//alert("ios");
		var MKTNavigationController = plus.ios.importClass('MKTNavigationController');
		var navigationTool = MKTNavigationController.shareNavigationController();
		if (navigationTool) {
			/** - (void)jumpToVideoWithId:(NSString *)videoId type:(NSString *)type chapter:(NSString *)chapter;
			 * * videoId :课程id
			 *  type :'normal'代表普通播放页，其他字符串代表章节播放页
			 * 	chapter:章节id
			 * 	plus.ios.invoke(notifaTool, "jumpToVideoWithId:type:chapter:", id,'unnormal','300');
			 * 	type为'normal'时 ,chapter参数可以不写
			 */
			plus.ios.invoke(navigationTool, "jumpToVideoWithId:type:chapter:", id,'normal');
		}
	}
}

/**
 * ajax 菊花需要plusready后
 * @param {string} url: 自动补全域名
 * @param {json} data: 自动添加uuid，需要菊花添加juhua:true字段，菊花默认非阻塞，需要阻塞添加modal:true字段
 * @param {function} succ: 成功回调函数
 * @param {function} fail: 失败回调函数
 */
function ajax(url, data, succ, fail) {
	if(!data) data = {};
	if(!data.id) {
		var personId = localStorage.getItem('personId');
		data.id = personId;
	}
	var need_close_juhua;
	if(data.juhua) {
		data.juhua = null;
		if(window.plus && plus.nativeUI) {
			need_close_juhua = true;
			plus.nativeUI.showWaiting("正在加载……", data.juhua_modal ? {
				modal: true
			} : {
				modal: false
			});
		}
	}
	data.juhua_modal = null;
	url = uurl(url);
	var option = {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		crossDomain: true,
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(succ) try {
				succ(data);
			} catch(e) {
				throw e;
			} finally {
				if(need_close_juhua) plus.nativeUI.closeWaiting();
			}
		},
		error: function(xhr, e, f) {
			if(fail) try {
				fail(xhr, e, f);
			} catch(e) {
				throw e;
			} finally {
				if(need_close_juhua) plus.nativeUI.closeWaiting();
			}
		}
	};
	mui.ajax(url, option);
}

function alertd(text) {
	if(debug) {
		//alert(text);
	}
}

function opensvrpage(u) {
	if(u.substring(0,7)=='http://'){
		var temp=u.substring(7);
		mui.openWindow({
			url: 'online_shell.html?' + temp,
			id: 'online',
			style: {
				kernel: 'WKWebview'
			}
		});
	}
}